/** @overview Mocha test case. */

var assert = require('assert'),
    newScenarioTestContext = require('../../../serverside/context/new_scenario_test_context'),
    newPixabayDataFetchBatch = require('../../../serverside/batch/new_pixabay_data_fetch_batch');

describe('PixabayDataFetchBatch', function () {
    var batch;
    beforeEach(function (done) {
        var context = newScenarioTestContext();
        batch = newPixabayDataFetchBatch(context);
        done();
    });
    afterEach(function (done) {
        done();
    });

    it('Run a pixabay data fetch batch', function (done) {
        batch.run(function (err) {
            assert.ifError(err);
            done();
        });
    });
});